Bug 210353 - audio/openal-soft: Missing QT4 dependencies
Summary: audio/openal-soft: Missing QT4 dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Roman Bogorodskiy
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-06-17 18:27 UTC by Matthew Rezny
Modified: 2016-08-31 18:01 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (mva)
novel: merge-quarterly+


Attachments
fix build of audio/openal-soft (633 bytes, patch)
2016-06-17 18:27 UTC, Matthew Rezny
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Rezny freebsd_committer 2016-06-17 18:27:51 UTC
Created attachment 171519 [details]
fix build of audio/openal-soft

There's a few missing QT4 dependencies for the config tool. This patch adds them.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-14 12:30:21 UTC
Maintainer timeout (2+ months), re-open to take.

Needs MFH

@Matthew, can you confirm how these missing dependencies were identified? 

If via sanity/QA checks, PORTREVISION should be bumped
If via build,package/etc failure, PORTREVISION bump not necessary
Comment 2 Matthew Rezny freebsd_committer 2016-08-14 12:52:17 UTC
To be perfectly explicit, there is no portrev bump required since there could not have been a incorrect pkg built; the build failed in poudriere until adding the QT4 things as advised by sanity checks.
Comment 3 commit-hook freebsd_committer 2016-08-26 09:31:58 UTC
A commit references this bug:

Author: novel
Date: Fri Aug 26 09:31:04 UTC 2016
New revision: 420906
URL: https://svnweb.freebsd.org/changeset/ports/420906

Log:
  audio/openal-soft: fix missing QT4 dependencies

  PR:		210353
  Submitted by:	matthew@reztek.cz
  Approved by:	maintainer timeout (2+ months)
  MFH:		2016Q3

Changes:
  head/audio/openal-soft/Makefile
Comment 4 Roman Bogorodskiy freebsd_committer 2016-08-26 10:51:34 UTC
Waiting for response on the MFH request.
Comment 5 commit-hook freebsd_committer 2016-08-26 17:36:50 UTC
A commit references this bug:

Author: pi
Date: Fri Aug 26 17:35:58 UTC 2016
New revision: 420937
URL: https://svnweb.freebsd.org/changeset/ports/420937

Log:
  audio/openal-soft: re-apply r420906

  - r420919 overwrote r420906

  PR:		210353, 211664
  Reported by:	matthew@reztek.cz

Changes:
  head/audio/openal-soft/Makefile
Comment 6 commit-hook freebsd_committer 2016-08-31 17:56:33 UTC
A commit references this bug:

Author: novel
Date: Wed Aug 31 17:55:49 UTC 2016
New revision: 421177
URL: https://svnweb.freebsd.org/changeset/ports/421177

Log:
  MFH: r420906

  audio/openal-soft: fix missing QT4 dependencies

  PR:		210353
  Submitted by:	matthew@reztek.cz
  Approved by:	maintainer timeout (2+ months)

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/audio/openal-soft/Makefile